package com.zcloud.basic.info.domain.enums;

import lombok.Getter;

@Getter
public enum CorpFormTypeEnum {
    SELECTFROM(0,"选取形式", "旧代码（select_from）"),
    EMPLOYMENTFORM(1,"用工形式", "旧代码（employment_form）"),
    BUSLICENSEEXPDATE(3,"营业执照有效期", "旧代码（license_start,license_end）,新（licensestart，licensestart）"),
    MAINDEPARTMENT(4,"股份主管部门", "旧代码（main_department）,新（maindepartment）"),
    MANAGERDEPARTMENT(5,"股份监管部门", "旧代码（manager_department）,新（managerdepartment）"),
    COMPETENTDEPT(6,"基层单位监管部门", "旧代码（competent_dept）,新（competentdept）"),
    SUPERVISECORPDEPT(7,"基层单位主管部门", "旧代码（supervise_corp_dept）,新（supervisecorpdept）"),
    CORP_TYPE(8,"集团单位", "集团单位"),
    BUSINESSLICENSE(2,"营业执照照片", "旧代码（business_license）");

    private final Integer code;
    private final String name;
    private final String desc;

    CorpFormTypeEnum(Integer code, String name, String desc) {
        this.code = code;
        this.name = name;
        this.desc = desc;
    }
}
